## Select Plan

Select a billing plan for the merchant account. This endpoint allows
merchants to choose a plan that suits their business needs. The plan
must be one of the plans currently available for the provider.

If you upgrade, your new plan starts right away and you’ll only pay the difference for the rest of the month. 
If you downgrade, you’ll keep your current features until the end of the month, and your new plan will begin on the 1st.

## Endpoint signature

```http
POST https://api.reservepay.com/merchants/select-plan HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>

{
  plan_id: string,
}
```

Returns: boolean

## Request arguments

### `plan_id` (string)

**Required**. The unique identifier of the selected plan. Plan IDs can be found via the `list-plans` endpoint.

## Errors specific to this endpoint

### `INVALID_PLAN`

The specified plan ID was not found.

### `RETIRED_PLAN`

The specified plan ID is retired and no longer available for selection.

## Errors common to all endpoints

### `UNHANDLED_ERROR`

This error occurs when the server encounters an unexpected internal error that
it cannot handle gracefully. This typically happens due to bugs, infrastructure
issues, or edge cases that weren't anticipated during development.

### `INVALID_ARGUMENTS`

This error occurs when the request contains invalid or missing parameters.
Common cases include missing required fields, or values that don't match the
expected format or type.

### `BAD_VERSION`

This error occurs when making requests to an API version that does not exist.
This commonly happens when using an outdated SDK or when the API version
specified in the request URL is incorrect.
